#include <Arduino.h>
#include <Wire.h>

#define BMP085_I2C_ADDRESS 0x77

class BMP085 {
  public:
    void init();
    unsigned long getTemperature();
    unsigned long getPressure(int);
    unsigned long getPressure();
    
  private:
    long ac1,ac2,ac3,ac4,ac5,ac6,b1,b2,mb,mc,md;
    static short readShort(unsigned char);
    static long readLong(unsigned char);
    unsigned long getMeasures(unsigned char, int);
    static void write(unsigned char *);
};
